Fix PyPy2 run on GHA.

pull/260/head
Michael Howitz 3 months ago
parent 239dd56589
commit fc36cf4f86
  1. 19
      .github/workflows/tests.yml
  2. 1
      .gitignore
  3. 12
      .manylinux-install.sh
  4. 2
      .meta.toml
  5. 2
      CHANGES.rst
  6. 23
      CONTRIBUTING.md
  7. 1
      MANIFEST.in
  8. 1
      appveyor.yml
  9. 11
      setup.cfg
  10. 9
      tox.ini

@ -104,7 +104,7 @@ jobs:
- "3.8"
- "3.9"
- "3.10"
- "3.11.0-alpha.4"
- "3.11.0-beta.3"
os: [ubuntu-20.04, macos-latest]
exclude:
- os: macos-latest
@ -140,7 +140,15 @@ jobs:
restore-keys: |
${{ runner.os }}-pip-
- name: Install Build Dependencies
- name: Install Build Dependencies (PyPy2)
if: >
startsWith(matrix.python-version, 'pypy-2.7')
run: |
pip install -U pip
pip install -U setuptools wheel twine "cffi != 1.15.1"
- name: Install Build Dependencies (other Python versions)
if: >
!startsWith(matrix.python-version, 'pypy-2.7')
run: |
pip install -U pip
pip install -U setuptools wheel twine cffi
@ -153,7 +161,7 @@ jobs:
python setup.py bdist_wheel
# Also install it, so that we get dependencies in the (pip) cache.
pip install -U 'faulthandler; python_version == "2.7" and platform_python_implementation == "CPython"'
pip install .[test]
pip install --pre .[test]
- name: Check zope.interface build
run: |
@ -173,7 +181,7 @@ jobs:
&& startsWith(github.ref, 'refs/tags')
&& startsWith(runner.os, 'Mac')
&& !startsWith(matrix.python-version, 'pypy')
&& !startsWith(matrix.python-version, '3.11.0-alpha.4')
&& !startsWith(matrix.python-version, '3.11.0-beta.3')
env:
TWINE_PASSWORD: ${{ secrets.TWINE_PASSWORD }}
run: |
@ -195,7 +203,7 @@ jobs:
- "3.8"
- "3.9"
- "3.10"
- "3.11.0-alpha.4"
- "3.11.0-beta.3"
os: [ubuntu-20.04, macos-latest]
exclude:
- os: macos-latest
@ -452,7 +460,6 @@ jobs:
if: >
github.event_name == 'push'
&& startsWith(github.ref, 'refs/tags')
&& !startsWith(matrix.python-version, '3.11.0-alpha.4')
with:
user: __token__
password: ${{ secrets.TWINE_PASSWORD }}

1
.gitignore vendored

@ -28,4 +28,5 @@ lib64
log/
parts/
pyvenv.cfg
testing.log
var/

@ -37,13 +37,13 @@ for PYBIN in /opt/python/*/bin; do
[[ "${PYBIN}" == *"cp38"* ]] || \
[[ "${PYBIN}" == *"cp39"* ]] || \
[[ "${PYBIN}" == *"cp310"* ]] ; then
"${PYBIN}/pip" install -e /io/
"${PYBIN}/pip" wheel /io/ -w wheelhouse/
"${PYBIN}/pip" install --pre -e /io/
"${PYBIN}/pip" wheel /io/ --pre -w wheelhouse/
if [ `uname -m` == 'aarch64' ]; then
cd /io/
"${PYBIN}/pip" install tox
"${PYBIN}/tox" -e py
cd ..
cd /io/
"${PYBIN}/pip" install tox
"${PYBIN}/tox" -e py
cd ..
fi
rm -rf /io/build /io/*.egg-info
fi

@ -2,7 +2,7 @@
# https://github.com/zopefoundation/meta/tree/master/config/c-code
[meta]
template = "c-code"
commit-id = "a326a385c9c33fdb9d01ac2bfc6111a83a003f2a"
commit-id = "cde9741a5a0d9d04cee25cb617ee1590afebb17d"
[python]
with-appveyor = true

@ -5,7 +5,7 @@
5.5.0 (unreleased)
==================
- Add support for Python 3.10 and 3.11 (as of 3.11.0a4).
- Add support for Python 3.10 and 3.11 (as of 3.11.0b3).
- Add missing Trove classifier showing support for Python 3.9.

@ -0,0 +1,23 @@
<!--
Generated from:
https://github.com/zopefoundation/meta/tree/master/config/c-code
-->
# Contributing to zopefoundation projects
The projects under the zopefoundation GitHub organization are open source and
welcome contributions in different forms:
* bug reports
* code improvements and bug fixes
* documentation improvements
* pull request reviews
For any changes in the repository besides trivial typo fixes you are required
to sign the contributor agreement. See
https://www.zope.dev/developer/becoming-a-committer.html for details.
Please visit our [Developer
Guidelines](https://www.zope.dev/developer/guidelines.html) if you'd like to
contribute code changes and our [guidelines for reporting
bugs](https://www.zope.dev/developer/reporting-bugs.html) if you want to file a
bug report.

@ -1,5 +1,6 @@
# Generated from:
# https://github.com/zopefoundation/meta/tree/master/config/c-code
include *.md
include *.rst
include *.txt
include buildout.cfg

@ -52,7 +52,6 @@ build_script:
test_script:
- python -m unittest discover -s src
artifacts:
- path: 'dist\*.whl'
name: wheel

@ -18,3 +18,14 @@ ignore =
docs/_build/doctest/output.txt
docs/_build/html/_sources/*
docs/_build/html/_sources/api/*
[isort]
force_single_line = True
combine_as_imports = True
sections = FUTURE,STDLIB,THIRDPARTY,ZOPE,FIRSTPARTY,LOCALFOLDER
known_third_party = six, docutils, pkg_resources
known_zope =
known_first_party =
default_section = ZOPE
line_length = 79
lines_after_imports = 2

@ -19,7 +19,10 @@ envlist =
[testenv]
usedevelop = true
pip_pre = true
deps =
# repoze.sphinx.autointerface does not yet support Sphinx >= 5:
Sphinx < 5
setenv =
pure: PURE_PYTHON=1
!pure-!pypy-!pypy3: PURE_PYTHON=0
@ -50,13 +53,13 @@ parallel_show_output = true
[testenv:lint]
basepython = python3
skip_install = true
commands =
check-manifest
check-python-versions
deps =
check-manifest
check-python-versions >= 0.19.1
wheel
commands =
check-manifest
check-python-versions
[testenv:docs]
basepython = python3

Loading…
Cancel
Save